#!/usr/bin/env bash

# remove some stuff I don't need
apt-get purge \
		exim* \
		nfs-comon \
		rpcbind \
		nano

apt-get install \
		autocutsel \
		bind9-utils \
		build-essential \
		byobu \
		chromium \
		dia \
		evince \
		evolution \
		flashplugin-nonfree \
		fonts-font-awesome \
		gimp \
		git \
		gnuplot
		htop \
		inkscape \
		libreoffice \
		lynx \
		meld \
		nitrogen \
		pavucontrol \
		pidgin \
		screen \
		sshfs \
		sudo \
		texlive \
		texlive-latex-extra \
		texlive-luatex \
		texlive-pdflatex
		vim \
		vlc

wget -O /etc/yum.repos.d/sumieri-sway.repo https://copr.fedorainfracloud.org/coprs/gumieri/sway/repo/fedora-30/gumieri-sway-fedora-30.repo

dnf install \
	sway


pip3 install \
	ansible


brew install \
	automake \
	bash-completion@2 \
	boringtun \
	amar1729/formulae/browserpass \
	coreutils \
	curl \
	doctl \
	gcc \
	git \
	graphviz \
	htop \
	kubernetes-cli \
	pass \
	protobuf \
	pwgen \
	radare2 \
	restic \
	ripgrep \
	wget \
	wireshark \
	binutils \
	diffutils \
	findutils --with-default-names \
	gawk \
	gnu-indent --with-default-names \
	gnu-sed --with-default-names \
	gnu-tar --with-default-names \
	gnu-which --with-default-names \
	gnutls \
	grep --with-default-names \
	gzip \
	screen \
	watch \
	wdiff --with-gettext \
	tmux \
	bash \
	gdb \
	gpatch \
	m4 \
	make \
	nano \
	less \
	rsync

brew cask install \
	meld
