#!/bin/bash

GENERATED=${1:-~/.bash_completion.d/generated}

# Update hostlist
python3 ~/workspace/snippets/python/recursive-axfr/recursive-axfr.py > ~/.hosts
# python3 ~/workspace/snippets/python/recursive-axfr/recursive-axfr.py k8s.0l.de @kube-dns.kube-system.svc.k8s.0l.de. > ~/.hosts

rm ${GENERATED}

type kubectl > /dev/null 2>&1 && kubectl completion bash >> ${GENERATED}
type doctl   > /dev/null 2>&1 && doctl   completion bash >> ${GENERATED}
type helm    > /dev/null 2>&1 && helm    completion bash >> ${GENERATED}
type ykman   > /dev/null 2>&1 && _YKMAN_COMPLETE=source ykman >> ${GENERATED}

ykman oath accounts list > ~/.oath_tokens
